#
# spec file for package update-desktop-files (Version 10.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           update-desktop-files
Version:        10.1
Release:        40.8
Summary:        A Build Tool to Update Desktop Files
License:        GPL
Group:          Development/Tools/Building
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       desktop-translations = %{version}
Autoreqprov:    on
Source:         suse_update_desktop_file.sh
Source1:        map-desktop-category.sh
Source2:        kappfinder.tar.bz2
Source3:        translate.pl
Source4:        legacy-mixed_to_utf8
# pdb query --filter "needshw:sound" | sed -e "s, ,,g"
Source5:        packages-sound
# pdb query --filter "needshw:3d" | sed -e "s, ,,g"
Source6:        packages-3D
Source7:        kappfinder-icons.tar.bz2
Source10:       desktop-translations.tar.bz2
Source99:       PREPARE_PACKAGE
Patch:          map-desktop-category-pre-10.1.diff
BuildArchitectures: noarch

%description
This package provides further translations and a shell script to update
desktop files. It is used by the %suse_update_desktop_file rpm macro.



Authors:
--------
    Adrian Schroeter <adrian@suse.de>

%debug_package
%package -n desktop-translations
Summary:        Desktop Files Translation updates
Group:          Development/Tools/Building

%description -n desktop-translations
This package provides further translations for installed desktop files.



Authors:
--------
    Adrian Schroeter <adrian@suse.de>

%prep
%setup -q -n . -D -T 0
mkdir %name
cd %name

%install
cd %name
tar xfj %SOURCE10
cd po
for lang in *; do 
  if test "$lang" = "nb_no"; then
    continue
  fi
  if test -f $lang; then
	rm $lang
  else
    mkdir -p $RPM_BUILD_ROOT/usr/share/%name/locale/translations_$lang/en_US/LC_MESSAGES
    mkdir -p $RPM_BUILD_ROOT/usr/share/locale/$lang/LC_MESSAGES
    for f in $lang/*.po; do 
       msgfmt -o $RPM_BUILD_ROOT/usr/share/locale/$lang/LC_MESSAGES/desktop_translations.mo $f
       ln -s  /usr/share/locale/$lang/LC_MESSAGES/desktop_translations.mo \
         $RPM_BUILD_ROOT/usr/share/%name/locale/translations_$lang/en_US/LC_MESSAGES/`echo $f | sed -e 's#.*/##; s#\.po#.mo#'`
    done
  fi
done
install -m 0644 %SOURCE4 %SOURCE5 %SOURCE6 %SOURCE3 $RPM_BUILD_ROOT/usr/share/%name/
mkdir -p $RPM_BUILD_ROOT/usr/share/%name/templates
tar xfj %SOURCE2 -C $RPM_BUILD_ROOT/usr/share/%name/templates
tar xfj %SOURCE7 -C $RPM_BUILD_ROOT/usr/share/%name/
mkdir -p $RPM_BUILD_ROOT/usr/lib/rpm
install -m 0755 %SOURCE0 %SOURCE1 $RPM_BUILD_ROOT/usr/lib/rpm
%if %suse_version <= 1000
cd $RPM_BUILD_ROOT/usr/lib/rpm
patch -p0 <%PATCH0
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/share/%name
/usr/lib/rpm/*

%files -n desktop-translations
%defattr(-,root,root)
%if %suse_version <= 1000
%dir /usr/share/locale/km
%dir /usr/share/locale/km/LC_MESSAGES
%endif
%if %suse_version <= 1001
%dir /usr/share/locale/fy
%dir /usr/share/locale/fy/LC_MESSAGES
%dir /usr/share/locale/lo
%dir /usr/share/locale/lo/LC_MESSAGES
%dir /usr/share/locale/nds
%dir /usr/share/locale/nds/LC_MESSAGES
%dir /usr/share/locale/se
%dir /usr/share/locale/se/LC_MESSAGES
%dir /usr/share/locale/tt
%dir /usr/share/locale/tt/LC_MESSAGES
%endif
/usr/share/locale/*/LC_MESSAGES/*mo

%changelog -n update-desktop-files
* Tue Jun 13 2006 - coolo@suse.de
- don't ignore NoDisplay .desktop files (#165187 and #180627)
* Mon Jun 12 2006 - coolo@suse.de
- bugfixes from vendor
* Fri Jun 09 2006 - coolo@suse.de
- another update for desktop translations
* Fri Jun 02 2006 - dmueller@suse.de
- updated desktop translations (#175645)
* Wed Apr 26 2006 - stbinner@suse.de
- update from SVN, more Italian & Japanese translation format fixes
* Sat Apr 22 2006 - stbinner@suse.de
- update (rebuild 107) to fix Italian mess (#168551)
* Tue Apr 18 2006 - coolo@suse.de
- another update (rebuild 105)
* Tue Apr 11 2006 - sbrabec@suse.cz
- Updated cs translation from LCN SVN.
* Fri Apr 07 2006 - stbinner@suse.de
- update translations from SVN
* Wed Apr 05 2006 - stbinner@suse.de
- update translations
* Fri Mar 31 2006 - stbinner@suse.de
- update translations and remove not-to-be-translated strings parts
* Fri Mar 31 2006 - stbinner@suse.de
- own some more locale dirs on PLUS to fix build
* Wed Mar 29 2006 - sreeves@suse.de
- Add new X-SuSE-ControlCenter-* categories
* Fri Mar 24 2006 - dmueller@suse.de
- update translations from SVN (de,es,fr,it,ja,pt_BR,zh_CN,zh_TW)
* Fri Mar 24 2006 - coolo@suse.de
- update translations from SVN
* Fri Mar 17 2006 - coolo@suse.de
- update translations from SVN
* Mon Mar 06 2006 - coolo@suse.de
- fix sed call (#152224)
* Mon Feb 27 2006 - coolo@suse.de
- update translations from SVN
* Mon Feb 27 2006 - stbinner@suse.de
- patch map-desktop-category.sh for PLUS distributions
* Wed Feb 22 2006 - stbinner@suse.de
- add "km" locale dirs to fix build on PLUS
* Thu Feb 16 2006 - sbrabec@suse.cz
- Fix of DocPath warning check (149699#c12).
* Wed Feb 15 2006 - coolo@suse.de
- fixed the addition of new tags
* Tue Feb 14 2006 - coolo@suse.de
- fixed PREPARE_PACKAGE and used it one more time
* Tue Feb 14 2006 - coolo@suse.de
- enhance the script/macro:
  * the docpath is guessed now
  * allow -D to overwrite guessing of docpaths
  * allow -N/-G/-C to overwrite Name/GenericName/Comment
* Mon Feb 13 2006 - coolo@suse.de
- update translations from lcn SVN
* Tue Feb 07 2006 - coolo@suse.de
- fix the escaping of to translated text
* Mon Feb 06 2006 - dmueller@suse.de
- remove duplicate desktop files and add a check
  to avoid the same happening in the future
* Mon Feb 06 2006 - coolo@suse.de
- let the translations work again (workaround #147685)
* Fri Feb 03 2006 - coolo@suse.de
- updated translations received so far
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - dmueller@suse.de
- split off desktop-translations package. install translations there.
* Wed Jan 18 2006 - dmueller@suse.de
- sync kappfinder desktop files/icons with upstream
  (fixes lyx failure)
* Mon Jan 09 2006 - coolo@suse.de
- print the error to STDERR, so Rudi sees them
* Mon Jan 09 2006 - coolo@suse.de
- brp-desktop is a bit picky: fixing format
* Sat Jan 07 2006 - coolo@suse.de
- fixing obvious perl knowledge lack
* Thu Jan 05 2006 - coolo@suse.de
- fix bug related to groups
* Fri Dec 16 2005 - coolo@suse.de
- rework translation applying script
- readding translations
* Thu Nov 03 2005 - coolo@suse.de
- reset the translations to prepare a new way of handling them
* Thu Sep 29 2005 - stbinner@suse.de
- add "Photograph" -> "Photography" category mapping
* Mon Sep 12 2005 - coolo@suse.de
- update translations (mainly hu)
* Mon Sep 05 2005 - adrian@suse.de
- add finish translations
* Fri Sep 02 2005 - aj@suse.de
- Revert changes to extra-files, kappfinder-* since they cause
  build problems.
* Thu Sep 01 2005 - adrian@suse.de
- final translation update
* Wed Aug 31 2005 - adrian@suse.de
- update translations
* Wed Aug 17 2005 - coolo@suse.de
- update translations
* Thu Aug 11 2005 - adrian@suse.de
- add X-SuSE-YaST-AppArmor
* Mon May 23 2005 - adrian@suse.de
- do only warn about not existing DocPath
* Thu May 19 2005 - adrian@suse.de
- validate DocPath target
* Wed Mar 16 2005 - adrian@suse.de
- translation updates
* Mon Mar 14 2005 - adrian@suse.de
- fixed hu desktop entries by Karl
* Wed Mar 09 2005 - adrian@suse.de
- allow RSS-News tag
* Thu Feb 17 2005 - adrian@suse.de
- do not move screensaver entries
- prefer .png icons during install
* Wed Feb 16 2005 - adrian@suse.de
- auto move desktop files from legacy applnk path to XDG path
* Tue Feb 15 2005 - schwab@suse.de
- Use the first icon found.
* Thu Feb 10 2005 - adrian@suse.de
- fix german Planner menu entry
- new hungarian translations
* Fri Jan 14 2005 - adrian@suse.de
- accept Feedback as Category (#41682)
* Thu Jan 13 2005 - adrian@suse.de
- update to current translation state from cvs.
* Wed Nov 17 2004 - adrian@suse.de
- honor only [Desktop Entry] section
- allow "Clock" Category
* Tue Nov 16 2004 - adrian@suse.de
- package also some icon templates, which can get installed via -i
* Mon Nov 15 2004 - adrian@suse.de
- install also icon files with -i
* Thu Oct 28 2004 - adrian@suse.de
- add -d/--docid switch to add identifier for documentation team
* Tue Oct 19 2004 - adrian@suse.de
- update french and chinese translations
* Tue Oct 05 2004 - adrian@suse.de
- add translation for Office Suite to czech (#46833)
* Mon Oct 04 2004 - adrian@suse.de
- new translations for el
* Fri Oct 01 2004 - adrian@suse.de
- update translations
- do not add Categories line, if empty
* Sun Sep 26 2004 - adrian@suse.de
- use current translations from cvs
* Tue Aug 17 2004 - coolo@suse.de
- handle packaged CVS dirs for convenience
* Tue Aug 17 2004 - coolo@suse.de
- new translation round
* Tue Aug 03 2004 - adrian@suse.de
- fix encoding of impress.desktop
- update kappfinder templates to KDE 3.3 state
* Fri Jul 30 2004 - coolo@suse.de
- make the warning an error - no one cares for WARNINGS in %%install
  sections ;(
* Mon May 17 2004 - adrian@suse.de
- update chinese translations
* Sun Apr 04 2004 - adrian@suse.de
- mark desktop files to translate with X-SuSE-translate=true
- update translations
* Fri Apr 02 2004 - adrian@suse.de
- adding sk and it files
- export direct from cvs
* Wed Mar 31 2004 - coolo@suse.de
- adding some more german files
* Tue Mar 30 2004 - adrian@suse.de
- add functionality to update explicit given files
  (needed for directory files)
- update hungarian translations
* Mon Mar 29 2004 - coolo@suse.de
- adding bulgarian
- adding japanish
- adding slowenian
* Wed Mar 24 2004 - adrian@suse.de
- auto convert Gnome 1 desktop files to Utf8
  (script by Stanislav, #36835)
* Mon Mar 22 2004 - coolo@suse.de
- adding dutch
- adding hungarian
* Wed Mar 17 2004 - adrian@suse.de
- add spanish translations
- add norwegian translations
* Tue Mar 16 2004 - coolo@suse.de
- adding czech translations
* Tue Mar 16 2004 - coolo@suse.de
- updating german translations
* Sun Mar 14 2004 - coolo@suse.de
- adding translations (#34304)
* Wed Mar 10 2004 - adrian@suse.de
- update kappfinder data (from KDE 3.2.1)
* Wed Mar 03 2004 - adrian@suse.de
- fix typo in map-desktop-files
* Sun Feb 29 2004 - adrian@suse.de
- add WebUtility Category
* Tue Feb 17 2004 - adrian@suse.de
- remove Mixer -> AudioMixer mapping
  (the other way arround exists and is valid)
- check for double Category entries
- add ContactManagement Category
* Mon Feb 16 2004 - adrian@suse.de
- fix build as user
* Mon Feb 16 2004 - adrian@suse.de
- Viewer is also an official tag now
- temp. fail on outdated Categories
- introduce "Jukebox"
* Mon Nov 10 2003 - adrian@suse.de
- adjust Categories to match the Menu Standard Version 0.8
* Thu Oct 30 2003 - adrian@suse.de
- add slovak translations
* Mon Oct 06 2003 - adrian@suse.de
- fix tail usage
* Fri Sep 26 2003 - adrian@suse.de
- add KDE 3.2 applications path
* Wed Sep 17 2003 - adrian@suse.de
- add more transalations
* Wed Sep 17 2003 - adrian@suse.de
- fix OO template call (#31130)
* Sat Sep 13 2003 - adrian@suse.de
- higher MimeType priorities for OO
- remove version number from OO desktop file templates
* Thu Sep 11 2003 - adrian@suse.de
- fix a very stupid bug, we don't have the rpm yet, during the
  build .... CheckHardware stuff is working now (#30469)
* Sun Sep 07 2003 - adrian@suse.de
- fix: ProjectManagement is an official group
* Fri Sep 05 2003 - adrian@suse.de
- implement support for CheckHardware
* Fri Sep 05 2003 - adrian@suse.de
- introduce Video group
* Thu Sep 04 2003 - adrian@suse.de
- define icons and remove Categories from OO desktop files
- add new possible Categories
* Tue Sep 02 2003 - adrian@suse.de
- list all X-SuSE-Core- groups explicit
* Mon Sep 01 2003 - adrian@suse.de
- fix conflict between "X-SuSE-Core" and  "Core" Category
* Mon Sep 01 2003 - adrian@suse.de
- fix usage of multiple switches
* Mon Sep 01 2003 - adrian@suse.de
- several mapping fixes
- add -u option to hide entries unimportant entries by default
* Thu Aug 28 2003 - adrian@suse.de
- change desktop search path order to install the right files
  for OpenOffice.org
* Mon Aug 25 2003 - adrian@suse.de
- mapping fixes
* Mon Aug 18 2003 - adrian@suse.de
- add template files for OpenOffice
* Sun Aug 17 2003 - adrian@suse.de
- fix: map Categories always
- some more mappings
* Sat Aug 16 2003 - adrian@suse.de
- add .desktop file templates from kappfinder
* Fri Aug 15 2003 - adrian@suse.de
- add /opt/gnome/share/gnome/apps/ path
* Thu Aug 14 2003 - adrian@suse.de
- ignore also NoDisplay=true files
* Tue Aug 12 2003 - adrian@suse.de
- add DialUp Category
- map Internet -> Network
* Tue Aug 12 2003 - adrian@suse.de
- add -r|--reset option
* Mon Aug 11 2003 - adrian@suse.de
- add /usr/lib/rpm/map-desktop-category.sh to check Categories
  and to set X-SuSE- prefix automagically
* Wed Jul 30 2003 - adrian@suse.de
- use $RPM_SOURCE_DIR
* Mon Jul 28 2003 - adrian@suse.de
- add --create and --install switches for %%suse_update_desktop_file
* Thu Jul 24 2003 - adrian@suse.de
- ignore desktop files with Hidden flag
* Thu Jul 24 2003 - adrian@suse.de
- initial package
  * provide suse_update_desktop_file.sh script for the
  %%suse_update_desktop_file rpm macro
  * a first po-file with translations
